Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 17 reacties
Bron: Apache, submitter: ViVa

's Werelds meest gebruikte webserver heeft een nieuwe versie gelanceerd. Het gaat hier om de bekende Apache welke versie 2.0.44 on-line heeft gezet. Deze bevat enkele stukken rubber om de gaten te dichten, kortom er zijn security bugs uitgehaald. Ook is er het een en ander veranderd in de code waardoor het sneller en efficienter zou moeten werken. Het changelog is te groot om even snel hier neer te zetten, dus bij deze verwijzen we je door naar deze pagina waar het changelog te vinden is.

Versienummer:2.0.44
Besturingssystemen:Windows 9x, Windows NT, Windows 2000, Linux, BSD, Windows XP, Linux x86, macOS, OS/2, Solaris, UNIX
Website:Apache
Download:http://www.apache.org/dist/httpd/
Licentietype:Voorwaarden (GNU/BSD/etc.)
Moderatie-faq Wijzig weergave

Reacties (17)

Waarom gebruiken zo weinig mensen Apache versie 2.x zo weinig ? Iedereen lijkt bij 1.x te blijven hangen. Ik bedoel maar te zeggen dat we niet te snel op Microzacht moeten afgeven. Ook Apache (appllicaties van versie 1.x naar 2.x) kent de nodige problemen. Ok ok; ik geef antwoord op mijn eigen vraag. Niet te snel katten op de "tegenpartij" is eigenlijk de boodschap.
Apache2 zelf is goed, modules moeten echter nog stabiel gemaakt worden voor deze nieuwe versie.
PHP is daar al zo goed als klaar mee (alhoewel het nog afgeraden wordt), maar SSL is er nog steeds niet voor apache2. Zulke dingen houden veel beheerders tegen om up te graden naar 2.x
SSL is er niet voor apache 2 :? Waat slaat dit dan op? SSL kun je er tegewoordig gewoon bij incompileren.
If it ain't broke, don't fix it. Kennelijk is menig webserver ook voldoende toegerust als Apache 1.x gebruikt wordt. Waarom dan upgraden naar 2.x?

Wordt een IIS server wel sneller geupgrade als er een nieuwe versie uit is?
Gepost door daHaas woensdag 22 januari 2003 - 10:14 Score: 1
If it ain't broke, don't fix it. Kennelijk is menig webserver ook voldoende toegerust als Apache 1.x gebruikt wordt. Waarom dan upgraden naar 2.x?

Wordt een IIS server wel sneller geupgrade als er een nieuwe versie uit is?
"If it ain't broke, don't fix it" zeg je, maar er is in dit geval niks te fixen/upgraden. Apache 2 is gewoon een heel ander programma imo... Het heeft meer features en is behoorlijk uitgebreider... :) Het is niet echt een upgrade van Apache 1.3.27 ofzo.
Inderdaad zeer veel veranderingen, ik heb deze versie zelf getest, ook de 2.0.43 trouwens, en deze werken nu gelukkig perfect met PHP. Ook met de nieuwe PHP 4.3.0! Bij voorgaande 2.x versies wilde PHP wel eens niet werken. Toppie! :)
Wat mij tegenhoud is mod_gzip er zijn wel enkele ongure versie's maar liever wachten op een officiele versie.

De grote zijn natuurlijk eerst omdat zij mensen hebben om echt aan zulke punten te werken, bij na de uren open source projectjes is dit al wat moeilijker.

Het probleem is nu ook dat alle mods en libraries die ze gebruiken thread-safe moeten zijn, wat betekend dat er heel wat aanpassingen doorgevoerd moeten worden, ook in libraries die niet meteen met Apache te maken hebben.
Correct me if i'm wrong, maar bij apache 2 zit standaard al een 'mod_deflate' die eigenlijk precies hetzelfde doet als mod_gzip .

mod_gzip is dus niet echt nodig meer.
Ik had met Apache 2.0.43 vaak het probleem dat HTTP sessies bleven hangen bij IPv6 (geen problemen bij IPv4), zowel onder Windows XP met IE als onder Linux met Mozilla. Is dit probleem nu opgelost? Of was dit een bug in zowel IE als Mozilla ofzo?
Is dit wat je zoekt?
[quote="Apache 2.0.44 ChangeLog]
*) Apache is now IPv6-capable. On systems where APR supports IPv6, Apache gets IPv6 listening sockets by default. Additionally, the Listen, NameVirtualHost, and <VirtualHost> directives support IPv6 numeric address strings (e.g., "Listen \[fe80::1]:8080"). [Jeff Trawick]
[/quote]
Dit is een goed voorbeeld van een Open-Source programma dat sneller, beter, goedkoper, veiliger en functioneler is dan vele van zijn commerciele concurrenten. En dat word gelukkig gewaardeerd door bedrijven, organisaties en gewone mensen. Go Apache!! :D

Ik draai apache (sinds versie 1.2) op win2000 svr en er is geen haar op mijn hoofd die denkt om naar M$ IIS overstappen.
Hopelijk is de bug waardoor Apache 2 zo goed als onbruikbaar is op Win9x er ook uitgehaald. Al staat daar niks over in de changelog... :(

NB: is voor het testen van 1 en ander, niet om een serieuze server te draaien ;)
Waar kan ik een nieuw scroll wieltje declareren?

de apache2 serie is vooral in performance best ok! maar de ondersteuning van de modules moet nog beter worden.
Noem eens een module die niet goed werkt met Apache 2.0.44 ? *nieuwsgierig*
1 ding snap ik niet.

The site www.tweakers.net is running Apache/1.3.27 (Unix) PHP/4.2.3 mod_gzip/1.3.19.1a on Linux

Word het niet eens tijd voor een update :Z
tja kijk, dit proggy is zo goed, t heeft geen uitleg nodig :D

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True